ALPHAOP(3CgFX)

NAME
AlphaOp - 3D API alpha operator

USAGE
AlphaOp = int(op)

VALID ENUMERANTS
op: Disable, SelectArg1, SelectArg2, Modulate, Modulate2x, Modulate4x, Add, AddSigned, AddSigned2x, Subtract, AddSmooth, BlendDiffuseAlpha, BlendTextureAlpha, BlendFactorAlpha, BlendTextureAlphaPM, BlendCurrentAlpha, PreModulate, ModulateAlpha_AddColor, ModulateColor_AddAlpha, ModulateInvAlpha_AddColor, ModulateInvColor_AddAlpha, BumpEnvMap, BumpEnvMapLuminance, DotProduct3, MultiplyAdd, Lerp

DESCRIPTION
Specify the alpha blending operation for this texture stage. See the D3DTSS_ALPHAOP texture stage state description for DirectX 9.

The standard reset callback sets the AlphaOp state to int(SelectArg1) if i is zero and int(Disable) otherwise.

OPENGL FUNCTIONALITY REQUIREMENTS
Not applicable.

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
AlphaArg0, AlphaArg1, AlphaArg2, AlphaBlendEnable, AlphaFunc, AlphaRef, AlphaTestEnable, ColorArg0, ColorArg1, ColorArg2, ColorOp, BlendOpAlpha